Bug 1649938 - Pulp_max_tasks_per_child is disabled in capsule but not in satellite
Summary: Pulp_max_tasks_per_child is disabled in capsule but not in satellite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.3.3
Hardware: All
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Perry Gagne
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1643650 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2018-11-14 20:58 UTC by Ram Nayan Singh
Modified: 2019-10-07 17:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-17 04:22:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Github theforeman puppet-katello pull 265 None None None 2018-11-19 18:46:52 UTC
Foreman Issue Tracker 25511 None None None 2018-11-19 18:36:23 UTC
Red Hat Knowledge Base (Solution) 3687321 None None None 2018-12-11 16:12:21 UTC

Description Ram Nayan Singh 2018-11-14 20:58:25 UTC
Description of problem:
satellite installer disables Pulp_max_tasks_per_child in the capsule by default, but it does not disable in the satellite.

satellite 6.3.3

Fresh install system with satellite installed 

Ran satellite-installer -scenario=satellite

In capsule server /etc/default/pulp_workers Pulp_max_tasks_per_child is commented
# PULP_MAX_TASKS_PER_CHILD=2 

In satellite server /etc/default/pulp_workers Pulp_max_tasks_per_child is uncommented

PULP_MAX_TASKS_PER_CHILD=2

This leads to memory leaks on the capsule server

Comment 4 Eric Helms 2018-12-11 16:12:21 UTC
*** Bug 1643650 has been marked as a duplicate of this bug. ***

Comment 5 Perry Gagne 2019-01-14 19:04:43 UTC
Verified fix in sat 6.5 snap 11.

Pulp workers is commented by default during satellite install:

# To avoid memory leaks, Pulp can terminate and replace a worker after processing X tasks. If
# left commented, process recycling is disabled. PULP_MAX_TASKS_PER_CHILD must be > 0.

# PULP_MAX_TASKS_PER_CHILD=2

Comment 8 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 10 Bryan Kearney 2019-05-16 14:04:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25511 has been resolved.

Comment 11 Mike McCune 2019-05-17 04:22:53 UTC
We removed all instances of the configuration for PULP_MAX_TASKS_PER_CHILD as this configuration is no longer supported as it leads to deadlocks in task processing, see:

https://bugzilla.redhat.com/show_bug.cgi?id=1656340

if you are still seeing PULP_MAX_TASKS_PER_CHILD entries in /etc/default/pulp_workers on a Satellite or Capsule then that bug is not resolved but in our tests and internal lab hosts on fresh installations of Satellite and Capsules there is no more PULP_MAX_TASKS_PER_CHILD setting which is correct.

Going to close this out as CURRENTRELEASE but if you are seeing this configuration entry still, please re-open.


Note You need to log in before you can comment on or make changes to this bug.